## gnome-python 2.22.0

=== wscript ===
# -*- python -*-

import Params
Params.g_autoconfig = True

VERSION = '2.22.0'
APPNAME = 'gnome-python'
srcdir = '.'
blddir = 'build'

import misc
import os
import shutil
import glob
import sys

def dist_hook():
    for html_file in glob.glob(os.path.join('..', 'build', 'default', 'docs', 'gnomevfs', 'html', '*')):
        shutil.copy2(html_file, os.path.join('docs', 'gnomevfs', 'html'))
    ## Copy WAF to the distdir
    assert os.path.basename(sys.argv[0]) == 'waf'
    shutil.copy(sys.argv[0], '.')

def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.tool_options('gnome')


def configure(conf):
    conf.check_tool('misc')
    conf.check_tool('compiler_cc')
    conf.check_tool('gnome')
    conf.check_tool('python')
    conf.check_python_version((2,4))
    conf.check_python_headers()
    conf.define('VERSION', VERSION)

    version = [int(s) for s in VERSION.split('.')]
    conf.define('GNOME_PYTHON_MAJOR_VERSION', version[0])
    conf.define('GNOME_PYTHON_MINOR_VERSION', version[1])
    conf.define('GNOME_PYTHON_MICRO_VERSION', version[2])

    # Define pygtk required version, for runtime check
    pygtk_version = [2, 10, 3]
    conf.define('PYGTK_REQUIRED_MAJOR_VERSION', pygtk_version[0])
    conf.define('PYGTK_REQUIRED_MINOR_VERSION', pygtk_version[1])
    conf.define('PYGTK_REQUIRED_MICRO_VERSION', pygtk_version[2])

    values = conf.check_pkg('pygtk-2.0', destvar='PYGTK', vnum='.'.join([str(x) for x in pygtk_version]),
                            pkgvars=['defsdir'], mandatory=True)
    conf.env['PYGTK_DEFSDIR'] = values['PYGTK_DEFSDIR']

    conf.env.append_value('CCDEFINES', 'HAVE_CONFIG_H')

    
    conf.sub_config('bonobo')
    conf.sub_config('gnome')
    conf.sub_config('gnomecanvas')
    conf.sub_config('gconf')
    conf.sub_config('gnomevfs')
    conf.sub_config('docs/gnomevfs')

    conf.write_config_header('config.h')


def build(bld):
    ## generate and install the .pc file
    obj=bld.create_obj('subst')
    obj.source = 'gnome-python-2.0.pc.in'
    obj.target = 'gnome-python-2.0.pc'
    obj.dict = {
        'VERSION': VERSION,
        'prefix': bld.env()['PREFIX'],
        'exec_prefix': bld.env()['PREFIX'],
        'libdir': bld.env()['LIBDIR'],
        'includedir': os.path.join(bld.env()['PREFIX'], 'include'),
        'datadir': bld.env()['DATADIR'],
        'datarootdir': bld.env()['DATADIR'],
        }
    obj.fun = misc.subst_func
    obj.install_var = 'LIBDIR'
    obj.install_subdir = 'pkgconfig'

    ## subdirs
    bld.add_subdirs('bonobo')
    bld.add_subdirs('gnome')
    bld.add_subdirs('gnomecanvas')
    bld.add_subdirs('gconf')
    bld.add_subdirs('gnomevfs')
    bld.add_subdirs('docs/gnomevfs')

=== gnome/wscript ===
# -*- python -*-
# encoding: utf-8

import os
import Common

def configure(conf):
    conf.env['ENABLE_GNOME'] = bool(conf.check_pkg('libgnome-2.0 >= 2.8.0 pygobject-2.0',
                                                   destvar='GNOME', mandatory=False))
    conf.env['ENABLE_GNOMEUI'] = bool(conf.check_pkg('libgnomeui-2.0 >= 2.8.0 pygobject-2.0',
                                                     destvar='GNOMEUI', mandatory=False))

def codegen(bld, module):
    cmd = bld.create_obj('command-output')
    cmd.command = 'pygtk-codegen-2.0'
    cmd.command_is_external = True
    cmd.prio = 5
    cmd.argv = [
        '--py_ssize_t-clean',
        '--load-types', cmd.input_file('../bonobo/bonobo-arg-types.py'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'pango-types.defs'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'gtk-types.defs'),
        '--register', cmd.input_file('../bonobo/bonobo-types.defs'),
        '--register', cmd.input_file('../bonobo/bonoboui-types.defs'),
        '--prefix', 'py'+module,
        '--override', cmd.input_file("%s.override" % module),
        cmd.input_file("%s.defs" % module),
        ]
    cmd.stdout = '%s.c' % module
    return cmd


def build(bld):
    
    if bld.env()['ENABLE_GNOME']:
        py = bld.create_obj('py')
        py.inst_dir = os.path.join('gtk-2.0', 'gnome')
        py.source = "__init__.py canvas.py vfs.py"

        codegen(bld, 'gnome')

        pyext = bld.create_obj('cc', 'plugin', 'pyext')
        pyext.source = 'gnomemodule.c gnome.c'
        pyext.target = '_gnome'
        pyext.uselib = 'GNOME'
        pyext.install_var = 'PYTHONDIR'
        pyext.install_subdir = os.path.join('gtk-2.0', 'gnome')

        defsdir = Common.install_files('DATADIR', os.path.join('pygtk', '2.0', 'defs'),
                                       ['gnome.defs',
                                        'gnome-types.defs',
                                        ])

    
    if bld.env()['ENABLE_GNOMEUI']:
        codegen(bld, 'ui')

        pyext = bld.create_obj('cc', 'plugin', 'pyext')
        pyext.source = 'uimodule.c ui.c'
        pyext.target = 'ui'
        pyext.uselib = 'GNOMEUI'
        pyext.env.append_value('CPPPATH', '../gnomevfs')
        pyext.install_var = 'PYTHONDIR'
        pyext.install_subdir = os.path.join('gtk-2.0', 'gnome')

    
        defsdir = Common.install_files('DATADIR', os.path.join('pygtk', '2.0', 'defs'),
                                       ['ui.defs',
                                        ])

=== docs/gnomevfs/wscript ===
# -*- python -*-
import os
import Common
import glob

def configure(conf):
    conf.find_program('xsltproc', var='XSLTPROC')

def build(bld):
    reference_doc_name = 'pygnomevfs'

    d = bld.m_curdirnode.find_dir('html').abspath()
    if bld.env()['XSLTPROC'] and not os.path.exists(os.path.join(d, 'index.html')):
        doc_module = 'pygnomevfs'
        html_dir = os.path.join(bld.env()['DATADIR'], 'gtk-doc', 'html')
        target_dir = os.path.join('html_dir', reference_doc_name)

        reference_main_file = 'gnomevfs-classes.xml'

        cmd = bld.create_obj('command-output')
        cmd.hidden_outputs = ['html/index.html']
        cmd.command = bld.env()['XSLTPROC']
        cmd.command_is_external = True
        cmd.argv = ['--nonet', '--xinclude',
                    '-o', cmd.output_dir('html', template='%s/'),
                    '--stringparam', 'gtkdoc.bookname', reference_doc_name,
                    '--stringparam', 'gtkdoc.version', bld.env()['VERSION'],
                    '--stringparam', 'chunker.output.encoding', 'UTF-8',
                    cmd.input_file('../ref-html-style.xsl'),
                    cmd.input_file(reference_main_file),
                    ]
        cmd.prio = 100

        cmd = bld.create_obj('command-output')
        cmd.prio = 110
        cmd.hidden_inputs = ['html/index.html']
        cmd.hidden_outputs = ['html/gnomevfs-class-reference.html']
        cmd.command = 'gtkdoc-fixxref'
        cmd.command_is_external = True
        cmd.argv = [cmd.input_dir('html', template='--module-dir=%s'),
                    ('--html-dir=%s' % html_dir)]

    html_files = glob.glob(os.path.join(bld.m_curdirnode.find_build('html').abspath(bld.env()), '*'))
    html_files += glob.glob(os.path.join(bld.m_curdirnode.find_build('html').abspath(), '*'))
    Common.install_files('DATADIR', os.path.join('gtk-doc', 'html', reference_doc_name),
                         html_files)

## gnome-python 2.26.1

=== wscript ===
# -*- python -*-

import Options

import Configure
Configure.autoconfig = True

import ccroot
ccroot.USE_TOP_LEVEL = True

import Task
Task.file_deps = Task.extract_deps

import Build

VERSION = '2.26.1'
APPNAME = 'gnome-python'
srcdir = '.'
blddir = 'build'

import misc
import os
import shutil
import glob
import sys
import types

def dist_hook():
    for html_file in glob.glob(os.path.join('..', 'build', 'default', 'docs', 'gnomevfs', 'html', '*')):
        shutil.copy2(html_file, os.path.join('docs', 'gnomevfs', 'html'))
    ## Copy WAF to the distdir
    assert os.path.basename(sys.argv[0]) == 'waf'
    shutil.copy(os.path.join('..', sys.argv[0]), '.')

    subprocess.Popen([os.path.join(srcdir, "generate-ChangeLog")],  shell=True).wait()
    try:
        os.chmod(os.path.join(srcdir, "ChangeLog"), 0644)
    except OSError:
        pass
    shutil.copy(os.path.join(srcdir, "ChangeLog"), '.')


def set_options(opt):
    opt.tool_options('compiler_cc')
    opt.tool_options('gnome')
    opt.tool_options('gnu_dirs')

    opt.add_option('--enable-modules',
                   help=('Enable only the specified modules.'),
                   type="string", default='all', metavar="MODULES_LIST (comma separated)",
                   dest='enable_modules')


def configure(conf):
    conf.check_tool('misc')
    conf.check_tool('compiler_cc')
    conf.check_tool('gnome')
    conf.check_tool('python')
    conf.check_tool('command')
    conf.check_tool('pkgconfig')
    conf.check_tool('gnu_dirs')

    if sys.platform == 'darwin':
        conf.check_tool('osx')

    conf.check_python_version((2,4))
    conf.check_python_headers()
    conf.define('VERSION', VERSION)

    version = [int(s) for s in VERSION.split('.')]
    conf.define('GNOME_PYTHON_MAJOR_VERSION', version[0])
    conf.define('GNOME_PYTHON_MINOR_VERSION', version[1])
    conf.define('GNOME_PYTHON_MICRO_VERSION', version[2])

    # Define pygtk required version, for runtime check
    pygtk_version = [2, 10, 3]
    conf.define('PYGTK_REQUIRED_MAJOR_VERSION', pygtk_version[0])
    conf.define('PYGTK_REQUIRED_MINOR_VERSION', pygtk_version[1])
    conf.define('PYGTK_REQUIRED_MICRO_VERSION', pygtk_version[2])

    conf.pkg_check_modules('PYGTK', 'pygtk-2.0 >= %s' % ('.'.join([str(x) for x in pygtk_version]),))
    conf.env['PYGTK_DEFSDIR'] = conf.pkg_check_module_variable('pygtk-2.0', 'defsdir')

    if not conf.find_program('pygobject-codegen-2.0', var='CODEGEN'):
        if not conf.find_program('pygtk-codegen-2.0', var='CODEGEN'):
            Params.fatal("Could not find pygobject/pygtk codegen")

    conf.env.append_value('CCDEFINES', 'HAVE_CONFIG_H')

    conf.env['ENABLE_MODULES'] = Options.options.enable_modules.split(',')
    
    conf.sub_config('bonobo')
    conf.sub_config('gnome')
    conf.sub_config('gnomecanvas')
    conf.sub_config('gconf')
    conf.sub_config('gnomevfs')
    conf.sub_config('docs/gnomevfs')

    for module in conf.env['ENABLE_MODULES']:
        if module == 'all':
            continue
        if module not in conf.env['MODULES_AVAILABLE']:
            Logs.warn("Requested module %r is not available in this source tree." % module)
    if conf.env['MODULES_TO_BUILD']:
        print "** The following modules will be built:"
        for m in conf.env['MODULES_TO_BUILD']:
            print "\t%s" % m

    not_built = list(conf.env['MODULES_AVAILABLE'])
    for mod in conf.env['MODULES_TO_BUILD']:
        not_built.remove(mod)
    if not_built:
        print "** The following modules will NOT be built:"
        for m in not_built:
            print "\t%s" % m

    conf.write_config_header('config.h')
    


def codegen(bld, module, local_load_types=(), register=(), local_register=(), prefix=None):
    cmd = bld.new_task_gen('command',
                           source=['%s.defs' % module, '%s.override' % module],
                           target=['%s.c' % module])
    cmd.command = ['${CODEGEN}']
    cmd.command.append('--py_ssize_t-clean')
    
    for load in local_load_types:
        cmd.source.append(load)
        cmd.command.extend(['--load-types', '${SRC[%i]}' % (len(cmd.source)-1)])
    
    for reg in local_register:
        cmd.source.append(reg)
        cmd.command.extend(['--register', '${SRC[%i]}' % (len(cmd.source)-1)])

    for reg in register:
        cmd.command.extend(['--register', reg])

    if prefix:
        cmd.command.extend(['--prefix', prefix])
    else:
        cmd.command.extend(['--prefix', 'py'+module])

    cmd.command.extend(['--override', "${SRC[1]}",
                        '${SRC[0]}',
                        '>', '${TGT[0]}'])

    return cmd


def build(bld):

    # Attach the 'codegen' method to the build context
    bld.codegen = types.MethodType(codegen, bld)

    def create_pyext(bld):
        return bld.new_task_gen('cc', 'shlib', 'pyext')
    bld.create_pyext = types.MethodType(create_pyext, bld)

    ## generate and install the .pc file
    obj = bld.new_task_gen('subst')
    obj.source = 'gnome-python-2.0.pc.in'
    obj.target = 'gnome-python-2.0.pc'
    obj.dict = {
        'VERSION': VERSION,
        'prefix': bld.env['PREFIX'],
        'exec_prefix': bld.env['PREFIX'],
        'libdir': bld.env['LIBDIR'],
        'includedir': os.path.join(bld.env['PREFIX'], 'include'),
        'datadir': bld.env['DATADIR'],
        'datarootdir': bld.env['DATADIR'],
        }
    obj.fun = misc.subst_func
    obj.install_path = '${LIBDIR}/pkgconfig'

    ## subdirs
    bld.add_subdirs('bonobo')
    bld.add_subdirs('gnome')
    bld.add_subdirs('gnomecanvas')
    bld.add_subdirs('gconf')
    bld.add_subdirs('gnomevfs')
    bld.add_subdirs('docs/gnomevfs')


def shutdown():
    env = Build.bld.env
    if Options.commands['check']:
        _run_tests(env)


def _run_tests(env):
    import pproc as subprocess
    import shutil
    builddir = os.path.join(blddir, env.variant())
    # copy the __init__.py files
    for subdir in ["bonobo", "gnome", "gnomevfs"]:
        src = os.path.join(subdir, "__init__.py")
        dst = os.path.join(builddir, subdir)
        shutil.copy(src, dst)
    os_env = dict(os.environ)
    if 'PYTHONPATH' in os_env:
        os_env['PYTHONPATH'] = os.pathsep.join([builddir, os_env['PYTHONPATH']])
    else:
        os_env['PYTHONPATH'] = builddir
    cmd = [env['PYTHON'], os.path.join('tests', 'runtests.py'), builddir]
    retval = subprocess.Popen(cmd, env=os_env).wait()
    if retval:
        sys.exit(retval)

## gnome-python 2.28.1

=== gnome/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'gnome')
    conf.env.append_value('MODULES_AVAILABLE', 'gnome.ui')

    if 'gnome' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('GNOME',
                                  'libgnome-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'gnome')

    if 'gnome.ui' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('GNOMEUI',
                                  'libgnomeui-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'gnome.ui')

def build(bld):
    env = bld.env
    
    if 'gnome' in bld.env['MODULES_TO_BUILD']:
        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/gnome'
        py.source = "__init__.py canvas.py vfs.py"

        bld.codegen('gnome', local_load_types=['../bonobo/bonobo-arg-types.py'],
                    local_register=['gnome-types.defs',
                                    '../gnomecanvas/canvas.defs',
                                    '../bonobo/bonobo-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pygnome')

        pyext = bld.create_pyext()
        pyext.source = 'gnomemodule.c gnome.c'
        pyext.target = '_gnome'
        pyext.uselib = 'GNOME'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/gnome'

        bld.install_files('${DATADIR}/pygtk/2.0/defs',
                          ['gnome.defs',
                           'gnome-types.defs',
                           ])

    
    if 'gnome.ui' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('ui', local_load_types=['../bonobo/bonobo-arg-types.py'],
                    local_register=['gnome-types.defs',
                                    '../gnomecanvas/canvas.defs',
                                    '../bonobo/bonobo-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pyui')

        pyext = bld.create_pyext()
        pyext.source = 'uimodule.c ui.c'
        pyext.target = 'ui'
        pyext.uselib = 'GNOMEUI'
        pyext.includes = '. ../gnomevfs'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/gnome'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'ui.defs')

=== debian/changelog ===
gnome-python (2.28.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop incorrect ${python:Provides}.

  [ Martin Pitt ]
  * debian/control.in: Add Conficts/Replaces: python-gnomecanvas. This only
    existed in Ubuntu (which now is getting rid of this delta), and is a
    no-op for Debian.
  * debian/watch: Fix syntax to actually catch latest version. Also move to
    *.bz2, upstream does not release .gz tarballs any more.
  * debian/python-gnome2.postinst: Remove old __init__.py{,c} cruft from
    pysupport, which causes bad imports after upgrades. (LP: #790613)

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2011 17:03:35 +0200

gnome-python (2.28.1-2) unstable; urgency=low

  * Use dh_python2 instead of pysupport
  * Rebuild for python 2.7 transition (Closes: #623396, #623729)
  * debian/control.in:
    - Bump Standards-Version to 3.9.2
    - Bump python-all-dev build-dependency to >= 2.6.6-3~
    - Bump debhelper build-dependency to 8
    - Drop Conflicts/Replaces for packages that only exist prior lenny
    - Drop quilt build-dependency
    - Drop versionize build-dependency against dpkg-dev, the required version
      exists since etch
  * debian/rules:
    - Use dh_prep instead of dh_clean -k
    - Drop call to patch/unpatch target
    - Drop quilt.make include
    - Call dh_python2 instead of dh_pysupport
  * Switch to dpkg-source 3.0 (quilt) format

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Apr 2011 13:52:20 +0200

gnome-python (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 00:14:40 +0200

gnome-python (2.28.0-2) unstable; urgency=low

  * debian/debian/python-gconf.install, debian/python-gnome2.install:
    - Use jolly characters to fix FTBFS with python2.6 (Closes: #566936).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Jan 2010 14:53:47 +0100

gnome-python (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * Add build-dependency and dependencies on pygobject 2.17.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 19:28:53 +0200

gnome-python (2.26.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.8.1 (no changes needed).
  * debian/patches/70_relibtoolize.patch:
    - Remove, lintian doesn't complain about rpath on amd64.

 -- Luca Bruno <lethalman88@gmail.com>  Sat, 25 Apr 2009 10:32:06 +0200

gnome-python (2.22.3-3) unstable; urgency=low

  * Update Vcs-* fields.
  * Remove empty python-gnome2.examples.
  * Split the gconf module in a separate package named python-gconf.

 -- Josselin Mouette <joss@debian.org>  Mon, 09 Mar 2009 12:59:39 +0100

gnome-python (2.22.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 15:15:08 +0100

gnome-python (2.22.3-1) experimental; urgency=low

  [ Luca Bruno ]
  * New upstream release
  * rules:
    - Remove patch system
  * Add docs file
  * debian/control:
    - Bump Standards-Version to 3.8.0 (no changes needed)
    - Add python-gnome2-doc package
    - Add gtk-doc-tools to Build-Deps
    - python-gnome2 Suggests python-gnome2-doc
    - python-gnome2-dev Recommends python-gnome2-doc
  * python-gnome2.examples moved to python-gnome2-doc.examples
  * Change Homepage to http://www.pygtk.org/; the previous Homepage was a
    redirect to the new url.

  [ Emilio Pozuelo Monfort ]
  * Remove dpatch build-dependency.

  [ Josselin Mouette ]
  * Require python 2.5 to match the change in pygobject.
  * Add quilt patch system; build-depend on quilt.
  * 70_relibtoolize.patch: new patch. Relibtoolize the source to avoid 
    the rpath issue on amd64.
  * Add copyright statements.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 07:52:07 +0100

gnome-python (2.22.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Wrap again the Python-Depends field; build-depend on python-support 
    0.7.6 to ensure it works.

  [ Julian Andres Klode ]
  * New upstream release

 -- Julian Andres Klode <jak@jak-linux.org>  Sat, 29 Mar 2008 21:26:45 +0100

gnome-python (2.20.1-2) unstable; urgency=low

  * Unwrap the Python-Depends field, wrapping it doesn’t work. This 
    brings back the dependency on python-pyorbit. Closes: #457297.

 -- Josselin Mouette <joss@debian.org>  Tue, 25 Dec 2007 12:01:11 +0100

gnome-python (2.20.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/control:
    - Bumped Standard-Versions to 3.7.3. No changes needed.
    - Add Homepage, Vcs-Browser and Vcs-Svn fields.
    - Remove fake homepage field from the descriptions.
    - Improve python-gnome2-dev short description.
    - python-gnome2-dev doesn't recommend python-gnome2-extras-dev anymore.

  [ Loic Minier ]
  * Misc small cleanups; notably fix .PHONY targets.
  * Fix target inter-dependencies.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Thu, 13 Dec 2007 19:15:25 +0100

gnome-python (2.20.0-1) unstable; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Josselin Mouette ]
  * Integrate the previous changes in control.in.
  * New upstream release.
  * Use Python-Depends for dependencies on python modules; build-depend
    on python-support 0.7.3.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 14:00:54 +0200

gnome-python (2.18.2-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Cleanup rules.
  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.
  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Add a ${misc:Depends}.
  * Fix URL in copyright.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-python
Section: python
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               python-all-dev (>= 2.6.6-3~),
               python-gobject-dev (>= 2.17.0),
               python-gtk2-dev (>= 2.10.3),
               python-pyorbit-dev (>= 2.0.1-4),
               libglib2.0-dev (>= 2.6.0),
               libgtk2.0-dev (>= 2.6.0),
               libgnome2-dev (>= 2.8.0),
               libgnomeui-dev (>= 2.8.0),
               libgnomecanvas2-dev (>= 2.8.0),
               libgnomevfs2-dev (>= 2.14.0),
               libgconf2-dev (>= 2.11.1),
               libbonobo2-dev (>= 2.8.0),
               libbonoboui2-dev (>= 2.8.0),
               gtk-doc-tools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.pygtk.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gnome-python/?op=log
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-python/

Package: python-gnome2
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gconf (= ${binary:Version}),
         python-gtk2 (>= 2.10.3),
         python-pyorbit (>= 2.0.1-4),
         python-gobject (>= 2.17.0)
Conflicts: python-gnomecanvas
Replaces: python-gnomecanvas
Suggests: python-gnome2-doc
Description: Python bindings for the GNOME desktop environment
 This archive contains modules that allow you to write Python programs
 using the GNOME libraries: GnomeVFS, bonobo, libgnome, libgnomeui and 
 libgnomecanvas.

Package: python-gconf
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject (>= 2.17.0)
Suggests: python-gnome2-doc
Breaks: python-gnome2 (<< 2.22.3-3)
Replaces: python-gnome2 (<< 2.22.3-3)
Description: Python bindings for the GConf configuration database system
 This package contains modules that allow to access and manipulate the 
 GNOME configuration database (GConf) from Python programs.

Package: python-gnome2-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gnome2 (>= ${source:Version}),
         python-gobject-dev (>= 2.17.0),
         python-gtk2-dev (>= 2.10.3),
         python-pyorbit-dev (>= 2.0.1-4)
Recommends: python-gnome2-doc
Description: Python bindings for the GNOME desktop environment - development files
 This archive contains files that allow you to build wrappers for addon
 that interoperate gnome-python.

Package: python-gnome2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-gnome2
Suggests: devhelp
Description: Python bindings for the GNOME desktop environment
 This archive contains modules that allow you to write GNOME programs
 in Python.
 .
 The documentation can be browsed with the devhelp documentation
 browser, or with a regular web browser.
 .
 This package also provides several examples showing how to use these
 bindings to build GNOME applications.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-python/([\d\.]+[02468])/ \
        gnome-python-(.*)\.tar\.bz2 debian uupdate

## gnome-python 2.28.1%2Bdfsg

=== debian/changelog ===
gnome-python (2.28.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * autoreconf on build to support new architectures (Closes: 558556)

 -- Wookey <wookey@debian.org>  Sat, 11 Oct 2014 10:58:35 +0000

gnome-python (2.28.1+dfsg-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.
  * Update repository URL.

  [ Michael Biebl ]
  * Repack upstream tarball and drop the waf build system. Closes: #654470
  * Update watch file to mangle the version for the +dfsg suffix.
  * Update Vcs-* URLs.
  * Don't use brace expansion in .install files.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Feb 2012 14:52:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += \
	--prefix=/usr \
	--build=$(DEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

PYVERS := $(shell pyversions -vr debian/control 2>/dev/null)

build-%/configure-stamp:
	dh_testdir
	dh_autoreconf
	mkdir -p build-$*
	cd build-$* && \
		PYTHON=/usr/bin/python$* CFLAGS="$(CFLAGS)" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	$(MAKE) -C build-$*
	touch $@

build: $(PYVERS:%=build-%/build-stamp)

install-clean:
	dh_testdir
	dh_testroot
	dh_prep

install-%: install-clean build-%/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp-$*
	cd debian/tmp-$*/usr/lib/gnome-vfs-2.0/modules && \
		mv libpythonmethod.so libpythonmethod-$*.so
	dh_install --sourcedir=debian/tmp-$*

install: $(PYVERS:%=install-%)
	dh_installdirs
	chmod 755 debian/python-gnome2/usr/share/python/runtime.d/*

clean::
	dh_testdir
	dh_testroot
	dh_autoreconf_clean
	rm -rf build-* debian/tmp-*
	dh_clean

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installcron -i
	dh_installinfo -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i /usr/share/pygtk/2.0/argtypes
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -s
	dh_installexamples -s
	dh_installmenu -s
	dh_installman -s
	dh_installinfo -s
	dh_installchangelogs ChangeLog -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_python2 -a
	dh_installdeb -s
	dh_shlibdeps -s -Xusr/lib/gnome-vfs-2.0/modules
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
# NB: install-% should be .PHONY to avoid checking for real files, but
# implicit/pattern rules may only build real files; if you declare these
# .PHONY, no command will be run
.PHONY: build install-clean install clean binary-indep binary-arch binary

## gnome-python 2.28.1+dfsg

=== debian/changelog ===
gnome-python (2.28.1+dfsg-gconfonly~mx19) mx; urgency=medium

  * Rebuild just with python-gconf for xfce4-dockbarx-plugin 0.4.1 on MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 14 Dec 2019 01:51:30 -0500

gnome-python (2.28.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #831950)
  * Remove GNOME_COMMON_INIT. (Closes: #830002)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 17:41:40 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-python
Section: python
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               python-all-dev (>= 2.6.6-3~),
               python-gobject-2-dev (>= 2.17.0),
               python-gtk2-dev (>= 2.10.3),
               libglib2.0-dev (>= 2.6.0),
               libgtk2.0-dev (>= 2.6.0),
               libgconf2-dev (>= 2.11.1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.pygtk.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/gnome-python/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/attic/gnome-python/

Package: python-gconf
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject-2 (>= 2.17.0)
Suggests: python-gnome2-doc
Breaks: python-gnome2 (<< 2.22.3-3)
Replaces: python-gnome2 (<< 2.22.3-3)
Description: Python bindings for the GConf configuration database system
 This package contains modules that allow to access and manipulate the 
 GNOME configuration database (GConf) from Python programs.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+#include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+#-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
 
@@ -10,7 +10,8 @@
 
 configure_flags += \
 	--prefix=/usr \
-	--build=$(DEB_BUILD_GNU_TYPE)
+	--build=$(DEB_BUILD_GNU_TYPE) \
+	--disable-allbindings --enable-gconf
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
@@ -32,6 +33,10 @@
 	$(MAKE) -C build-$*
 	touch $@
 
+build-arch: build
+
+build-indep: build
+
 build: $(PYVERS:%=build-%/build-stamp)
 
 install-clean:
@@ -43,13 +48,13 @@
 	dh_testdir
 	dh_testroot
 	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp-$*
-	cd debian/tmp-$*/usr/lib/gnome-vfs-2.0/modules && \
-		mv libpythonmethod.so libpythonmethod-$*.so
+#	cd debian/tmp-$*/usr/lib/gnome-vfs-2.0/modules && \
+#		mv libpythonmethod.so libpythonmethod-$*.so
 	dh_install --sourcedir=debian/tmp-$*
 
 install: $(PYVERS:%=install-%)
 	dh_installdirs
-	chmod 755 debian/python-gnome2/usr/share/python/runtime.d/*
+#	chmod 755 debian/python-gnome2/usr/share/python/runtime.d/*
 
 clean::
 	dh_testdir
@@ -100,4 +105,4 @@
 # NB: install-% should be .PHONY to avoid checking for real files, but
 # implicit/pattern rules may only build real files; if you declare these
 # .PHONY, no command will be run
-.PHONY: build install-clean install clean binary-indep binary-arch binary
+.PHONY: build build-arch build-indep install-clean install clean binary-indep binary-arch binary
